SpeedLimit 4.8

Slow down them players!

  1. 1.17 Support

    Loving11ish
    It's been a while my friends, but here is the latest update to SpeedLimit! As the title says, the plugin now natively supports 1.17!

    This update also adds a new version checking feature on startup to help avoid messy unsupported version crashes.

    If you discover any other issues with the plugin, please do send me a message or leave a post on the forum with your issue and I'll try my best to assist you.

    Change-log:
    Update GitHub repository
    Updated to latest Spigot 1.17 API
    Added new supported version check system to prevent crashes
Return to update list...